;;
;; Ploting 2D results
;;
;; $Id$
;;
; choice of device
;plot_choice='cps'
;plot_choice='ps'
plot_choice='x'
;
iwx=2 & jwy=2

a=findgen(17) * (!pi * 2 / 16.)
usersym, 0.5*cos(a), 0.5*sin(a),/fill

!p.charsize=1.4
!p.charthick=1.4
;!p.charsize=1.0
;!p.charthick=1.0

mmmin=1
mmmax=26

xrange=[0.0,50.0] & yrange=[-10.0,10.0]


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
case plot_choice of
'x' : begin
window,4,xs=900,ys=520,xpos=400,retain=2
;window,5,xs=1200,ys=1200,xpos=400
end
'ps' : begin
set_plot,'ps'
device,/portrait
device,/inches,xsize=7,ysize=7.5,yoffset=1,font_size=8
;!p.font=0 & device,/times,/italic
end
'cps' : begin
set_plot,'ps'
device,/landscape
device,FILE='2Djyux.ps',/color,xoffset=0.5,yoffset=22.5,xsize=22,ysize=10.5,font_size=7
;device,xoffset=0.5,yoffset=24.5,xsize=19*6.5/7.*0.8,ysize=19*0.8
;!p.font=0 & device,/times,/italic
;
end
endcase

iw=iwx*jwy
dx0=1./iwx
dy0=1./jwy

!p.multi=[0,iwx,jwy]
!x.margin=[7.,9.]
!y.margin=[4.,4.]

mm1=1
mm2=16
mm3=21
mm4=26

i=0
itemp=0
;
; If plot_choice='ps' or 'cps', following line should comment out.
;
; CASE !D.Name OF
; 'X': device,decompose=0
; ELSE:
; ENDCASE
;
; If you want to use different color palette, you should change number of loadct; or select ldmyct (original color palette)
;
;   loadct,1
;   TVLCT, r, g, b, /Get
;   TVLCT, Reverse(r), Reverse(g), Reverse(b)
   
;  loadct,1
  If(plot_choice eq 'x') then begin
    device,decompose=0
  endif
    ldmyct,clr_index=clr,white=white,black=black
;

;
; (1) density
;
  data1=dd
  
clr=[10,20,30,40,50,60,70,80,90,100,110,120,130,140,150,160,170,190]

;levels1=[-10.0,-3.8,-3.7,-3.6,-3.5,-3.4,-3.3,-3.2,-3.1,-3.0,-2.8,-2.6,-2.4,-2.2,-2.0] for dd
levels1=[0.0,0.25,0.5,0.75,1.0,1.1,1.2,1.3,1.4,1.5,1.6,1.7,1.8,2.0,2.5]
;levels1=[0.0,0.04,0.06,0.08,0.1,0.12,0.14,0.16,0.18,0.2,0.22,0.24,0.26,0.28,0.3]
;levels1=[-4.0,-3.9,-3.8,-3.75,-3.7,-3.65,-3.6,-3.55,-3.5,-3.45,-3.4,-3.0]

data2=-pom
  
    fccnve $
     ,nofilled=0,nocontour=0,novector=0 $
     ,xrange=xrange,yrange=yrange $
     ,data1(*,*,mm1) $
     ,levels1=levels1,clr_index=clr, c_thick=1.5 $
     ,data2(*,*,mm1) $
     ,levels2=min(data2(*,*,mm1))+(max(data2(*,*,mm1))-min(data2(*,*,mm1)))*(findgen(15)/15)^2$
;     ,levels2=[0.0] $
     ,v1(*,*,mm1),v2(*,*,mm1) $
     ,scale=2.0,index_size=1.0, xarrow=0.65, limit=0.001,/sample $
     ,xplot=-50.+1.5*findgen(100),yplot=-20.0+1.5*findgen(100) $
     ,xcord=xar,ycord=yar,xtitle='!8x',ytitle='!8y' $
     ,v_color=white  
;     ,c_colors=white, Index_color=black, Axis_color=black 
;
i=0
	x0=dx0*(i mod iwx)
	y0=dy0*((i-(i mod iwx))/iwx)

   xyouts,/normal,x0+dx0*0.08,1.-(y0+dy0*0.20-0.05),'!8(a)'
   
   xyouts,/normal,x0+dx0*0.25,1.-(y0+dy0*0.20-0.05),'!8time = '
   xyouts,/normal,x0+dx0*0.58,1.-(y0+dy0*0.20-0.05), $
     strmid(strcompress(string(ctime(mm1)),/remove_all),0,4)

    barposition=[0.47,0.58,0.49,0.88]
    b_min=0.0 & b_max=2.6

;  color_bar,/noerase,levels1 $
;    ,clr $
;   ,position=barposition,b_min=b_min,b_max=b_max



;(2)  

    printf,-1,mm2,format='(i3,$)'
    fccnve $
     ,nofilled=0,nocontour=0,novector=0 $
     ,xrange=xrange,yrange=yrange $
     ,data1(*,*,mm2) $
     ,levels1=levels1,clr_index=clr, c_thick=1.5 $
     ,data2(*,*,mm2) $
     ,levels2=min(data2(*,*,mm2))+(max(data2(*,*,mm2))-min(data2(*,*,mm2)))*(findgen(15)/15)^2$
;     ,levels2=min(data2(*,*,mm2))+(max(data2(*,*,mm2))-min(data2(*,*,mm2)))*(findgen(20)/20)$
     ,v1(*,*,mm2),v2(*,*,mm2) $
     ,scale=2.0,index_size=1.0, xarrow=0.65, limit=0.001,/sample $
     ,xplot=-50.0+1.5*findgen(100),yplot=-20.+1.5*findgen(100) $
     ,xcord=xar,ycord=yar, xtitle='!8x',ytitle='!8y' $
     ,v_color=white  
;     ,c_colors=white, Index_color=black, Axis_color=black 

i=1
	x0=dx0*(i mod iwx)
	y0=dy0*((i-(i mod iwx))/iwx)

   xyouts,/normal,x0+dx0*0.08,1.-(y0+dy0*0.20-0.05),'!8(b)'
   xyouts,/normal,x0+dx0*0.25,1.-(y0+dy0*0.20-0.05),'!8time = '
   xyouts,/normal,x0+dx0*0.58,1.-(y0+dy0*0.20-0.05), $
     strmid(strcompress(string(ctime(mm2)),/remove_all),0,4)



    barposition=[0.97,0.58,0.99,0.88]
    b_min=0.0 & b_max=2.1

  color_bar,/noerase,levels1 $
    ,clr $
   ,position=barposition,b_min=b_min,b_max=b_max


;
; (3)
;  
    fccnve $
     ,nofilled=0,nocontour=0,novector=0 $
     ,xrange=xrange,yrange=yrange $
     ,data1(*,*,mm3) $
     ,levels1=levels1,clr_index=clr, c_thick=1.5 $
     ,data2(*,*,mm3) $
     ,levels2=min(data2(*,*,mm3))+(max(data2(*,*,mm3))-min(data2(*,*,mm3)))*(findgen(15)/15)^2$
;     ,levels2=[0.0] $
     ,v1(*,*,mm3),v2(*,*,mm3) $
     ,scale=2.0,index_size=1.0, xarrow=0.65, limit=0.01,/sample $
     ,xplot=-50.0+1.5*findgen(200),yplot=-20.0+1.5*findgen(200) $
     ,xcord=xar,ycord=yar,xtitle='!8x',ytitle='!8y' $
     ,v_color=white  
;     ,c_colors=white, Index_color=black, Axis_color=black 
;
i=2
	x0=dx0*(i mod iwx)
	y0=dy0*((i-(i mod iwx))/iwx)

   xyouts,/normal,x0+dx0*0.08,1.-(y0+dy0*0.20-0.05),'!8(c)'
   
   xyouts,/normal,x0+dx0*0.25,1.-(y0+dy0*0.20-0.05),'!8time = '
   xyouts,/normal,x0+dx0*0.58,1.-(y0+dy0*0.20-0.05), $
     strmid(strcompress(string(ctime(mm3)),/remove_all),0,4)

;    barposition=[0.47,0.08,0.49,0.38]
;    b_min=0.0 & b_max=0.3

;  color_bar,/noerase,levels1 $
;    ,clr $
;   ,position=barposition,b_min=b_min,b_max=b_max

;(4)

    printf,-1,mm4,format='(i3,$)'
    fccnve $
     ,nofilled=0,nocontour=0,novector=0 $
     ,xrange=xrange,yrange=yrange $
     ,data1(*,*,mm4) $
     ,levels1=levels1,clr_index=clr, c_thick=1.5 $
     ,data2(*,*,mm4) $
;     ,levels2=min(data2(*,*,mm4))+(max(data2(*,*,mm4))-min(data2(*,*,mm4)))*(findgen(8)/8)^2$
     ,levels2=min(data2(*,*,mm4))+(max(data2(*,*,mm4))-min(data2(*,*,mm4)))*(findgen(15)/15)^2$
     ,v1(*,*,mm4),v2(*,*,mm4) $
     ,scale=2.0,index_size=1.0, xarrow=0.65, limit=0.01,/sample $
     ,xplot=-50.0+1.5*findgen(100),yplot=-20.+1.5*findgen(100) $
     ,xcord=xar,ycord=yar, xtitle='!8x',ytitle='!8y' $
     ,v_color=white  
;     ,c_colors=white, Index_color=black, Axis_color=black 

i=3
	x0=dx0*(i mod iwx)
	y0=dy0*((i-(i mod iwx))/iwx)

   xyouts,/normal,x0+dx0*0.08,1.-(y0+dy0*0.20-0.05),'!8(d)'
   xyouts,/normal,x0+dx0*0.25,1.-(y0+dy0*0.20-0.05),'!8time = '
   xyouts,/normal,x0+dx0*0.58,1.-(y0+dy0*0.20-0.05), $
     strmid(strcompress(string(ctime(mm4)),/remove_all),0,4)


;    barposition=[0.97,0.08,0.99,0.38]
;    b_min=-0.15 & b_max=0.15

;  color_bar,/noerase,levels1 $
;    ,clr $
;   ,position=barposition,b_min=b_min,b_max=b_max





; back to default

!x.range=[0.,0.]
!y.range=[0.,0.]
!x.margin=[10.,3.]
!y.margin=[4.,2.]
!p.charsize=1.
!p.thick=1.
!p.multi=0

if (plot_choice ne 'x') then begin
;   device,color=0
   device,/close
;   !p.font=-1
;   set_plot,'x'
endif

;delvar,data1,data2
end

